
                    <!--<div [hidden]="!activator">-->
<div class="page-capture">
    
    <div class="col py-4 text-center">                               
        <div *ngIf="(this.isIphone) ; then thenY else elseN"></div>
            <ng-template #thenY></ng-template>
            <ng-template #elseN>
                <input #imgInput type="file" accept="image/*" capture="user" (change)="processFile(imgInput)" >
                    <!-- <button *ngIf="!this.isMobileBool" (click)="imgInput.click()" class="button-link"> 'Subir Foto'</button> -->
            </ng-template>
            
        </div>

        <div class="curtain" style="display: none;"></div>
            <div class="page-capture">
                <div class=" {{isEdge ? 'ui-canvas-container hiddenEdge':'ui-canvas-container'}}">
                    <video class="{{this.isMobileBool ? 'ui-canvas' : isEdge ? 
                    'ui-canvas scale-edge' : 'ui-canvas'}}" autoplay="" playsinline=""
                     style="transform: scaleX(-1);"> </video>
                    <div class="{{isEdge ? '':'overlay overlay-oval'}}"></div>
                </div>
                <p class="instructions-on-face" *ngIf="cameraAcess">{{mensaje}}</p>
            
                <canvas #canvas width="480" height="640" class="ui-canvas-container ui-canvas">
                    <img #scream id="scream"  src="../../../../assets/icons/frame_overlay_far_green.png" alt="The Scream">
                </canvas>
            </div>

            

            <div class="fq" *ngIf="showSkipButton">
                <p class="center">                    
                    <button id="enfocar" (click)="abrirModalSkip()" type ="button" class="btn btn-lg btn-danger btnPrimary btnSkip"
                    [style.background-color]="getColorButton()"
                    [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()"><i class="fas fa-arrow-circle-right"></i> Saltar paso</button>
                </p>
                
            </div>
            
        <!--<footer>
            <br>
            <button class="btn blue" (click)="tomarSelfie()" [disabled]="!btnB">TOMAR FOTO!</button>

        </footer>-->

    </div>
<!--</div>-->
 
<!-- <button (click)="captura()">capturar</button> -->

<!-- <div *ngIf="!activator" class="container">
    <app-facial-verification [foto]="imprimirImagen()" [id]="id"></app-facial-verification>
</div> -->


<div id="modalPermission" class="modal my-auto">

    <!-- Modal content -->
    <div class="modal-content">
      <!--<button id="btnAceptarModal" type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block mr-3 btnUrl">&times;</button>-->
      <h3 style="text-align: center;">Permisos</h3>
      <div class="col-6 mx-auto my-3">
        <img alt="" class="img-fluid" src="../../../../../assets/img/non-camera.png">
    </div>
      <p class="text-justify"><strong>Para poder continuar es necesario nos des permiso de acceder a tu cámara.</strong></p>
        
      <button id="btnAceptarModal" type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn" style="color:#5C78F3"><strong>De acuerdo</strong></button>
    </div>
  </div>


  <div id="modalConfirm" class="modal my-auto">

    <!-- Modal content -->
    <div class="modal-content">
        <p>Uno de nuestros ejecutivos se puede poner en contacto contigo en caso de que sea necesario completar tu información <br>¿Estás de acuerdo?</p>
        <button id="btnAceptarModal" type="button" (click)="skipStep()" class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary"
        [style.background-color]="getColorButton()"
        [style.border-color]="getColorButton()"
        [style.color]="getColorLabel()">SI</button>
        <button id="btnCancelarModal" type="button" (click)="cerrarModalSkip()" class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary"
        [style.border-color]="getColorButton()"
        [style.color]="getColorLabel()">NO</button>
    </div>
</div>

